var a,b,c,s:array [0..105] of integer; w,i,a1,b1,c1,e:longint;
q:char;
begin
assign(input,'D.in');
reset(input);
assign(output,'D.out');
rewrite(output);
read(q);
for i:=1 to 100 do
  begin
  s[i]:=0;
  a[i]:=0;
  b[i]:=0;
  c[i]:=0;
  end;
  a1:=0;
  w:=0;
  e:=0;
  b1:=0;
  c1:=0;
while q<>' ' do
begin
     inc(a1);
     a[a1]:=ord(q)-48;
     read(q);
end;
read(q);
while q<>' ' do
begin
     inc(b1);
     b[b1]:=ord(q)-48;
     read(q);
end;
while not eoln do
begin
     read(q);
     inc(c1);
     c[c1]:=ord(q)-48;
end;
               w:=a1;
for i:=a1 downto 0 do
begin
     s[i]:=a[a1]-b[b1]+c[c1]+s[i];
     dec(a1);
     dec(b1);
     dec(c1);
        if s[i]<0 then
         begin
              s[i]:=abs(s[i]);
              dec(s[i-1]);
              s[i]:=10-(s[i] mod 10);
         end;
end;
for i:=1 to 100 do
  begin
    if s[i]<>0 then  begin
    for e:=i to w do
      begin
        write(s[e]);
      end;
      close(input);
      close(output);
      exit;
    end;
  end;

close(input);
close(output);
end.
